>From 18f1bec78ae7a2dfac47e0e6035f9c47a944a328 Mon Sep 17 00:00:00 2001
From: Joshua Roys <roysjosh@gmail.com>
Date: Thu, 5 Aug 2010 17:43:59 -0400
Subject: [PATCH] Board enable for ASRock 775i65G

Thanks to Michael Karcher for finding the board enable.

Signed-off-by: Joshua Roys <roysjosh@gmail.com>
---
 board_enable.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/board_enable.c b/board_enable.c
index 23b4720..3eae1eb 100644
--- a/board_enable.c
+++ b/board_enable.c
@@ -1315,6 +1315,7 @@ static int board_hp_vl400(void)
  * Suited for:
  * - Dell PowerEdge 1850: Intel PPGA604 + E7520 + ICH5R.
  * - ASRock P4i65GV: Intel Socket478 + 865GV + ICH5R.
+ * - ASRock 775i65G
  */
 static int intel_ich_gpio23_raise(void)
 {
@@ -1701,6 +1702,7 @@ const struct board_pciid_enable board_pciid_enables[] = {
 	{0x1022, 0x2090,      0,      0,  0x1022, 0x2080,      0,      0, NULL,          "artecgroup", "dbe61",       "Artec Group", "DBE61",                 0,   OK, board_artecgroup_dbe6x},
 	{0x1022, 0x2090,      0,      0,  0x1022, 0x2080,      0,      0, NULL,          "artecgroup", "dbe62",       "Artec Group", "DBE62",                 0,   OK, board_artecgroup_dbe6x},
 	{0x8086, 0x24D4, 0x1849, 0x24D0,  0x8086, 0x24D5, 0x1849, 0x9739, NULL,          NULL,         NULL,          "ASRock",      "P4i65GV",               0,   OK, intel_ich_gpio23_raise},
+	{0x8086, 0x2570, 0x1849, 0x2570,  0x8086, 0x24d3, 0x1849, 0x24d0, NULL,          NULL,         NULL,          "ASRock",      "775i65G",               0,   OK, intel_ich_gpio23_raise},
 	{0x1106, 0x3189, 0x1043, 0x807F,  0x1106, 0x3065, 0x1043, 0x80ED, NULL,          NULL,         NULL,          "ASUS",        "A7V600-X",              0,   OK, it8712f_gpio3_1_raise},
 	{0x1106, 0x3177, 0x1043, 0x80A1,  0x1106, 0x3205, 0x1043, 0x8118, NULL,          NULL,         NULL,          "ASUS",        "A7V8X-MX SE",           0,   OK, w836xx_memw_enable_2e},
 	{0x1106, 0x3189, 0x1043, 0x807F,  0x1106, 0x3177, 0x1043, 0x808C, NULL,          NULL,         NULL,          "ASUS",        "A7V8X",                 0,   OK, board_asus_a7v8x},
-- 
1.7.2

